------------------------------------------------------------------------------------
--Name:  	Thanksgiving2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-10-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(50, 54)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 50, 57, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e236", 53, 57, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_1 = CppScriptMgr:AddPlayer(194, 53, 57, "FieryFox", 0, 0)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("You saved my life!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Let me serve you.", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Good. Destroy the Dawn Tribe for me then.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Devil", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("Yes.", 1500)
CppScriptMgr:WaitMilSec(2500)